summaryrefslogtreecommitdiffstats
path: root/contrib/cmdline/bugids
diff options
context:
space:
mode:
authortravis%sedsystems.ca <>2005-01-28 04:42:34 +0100
committertravis%sedsystems.ca <>2005-01-28 04:42:34 +0100
commit3b3cf885ca4101b679ff31fd9dc853424db062f4 (patch)
tree5f25f0a199bb824a790c2df804e70609c0158630 /contrib/cmdline/bugids
parent8ca5f9dd4ec36207258c238bbf621e511997669c (diff)
downloadbugzilla-3b3cf885ca4101b679ff31fd9dc853424db062f4.tar.gz
bugzilla-3b3cf885ca4101b679ff31fd9dc853424db062f4.tar.xz
Bug 278829 : make cmdline query tool work with 2.18
Patch by Andreas Franke <afranke@mathweb.org> a=justdave
Diffstat (limited to 'contrib/cmdline/bugids')
-rwxr-xr-xcontrib/cmdline/bugids32
1 files changed, 32 insertions, 0 deletions
diff --git a/contrib/cmdline/bugids b/contrib/cmdline/bugids
new file mode 100755
index 000000000..6bb54213a
--- /dev/null
+++ b/contrib/cmdline/bugids
@@ -0,0 +1,32 @@
+#!/bin/sh
+# The contents of this file are subject to the Mozilla Public
+# License Version 1.1 (the "License"); you may not use this file
+# except in compliance with the License. You may obtain a copy of
+# the License at http://www.mozilla.org/MPL/
+#
+# Software distributed under the License is distributed on an "AS
+# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
+# implied. See the License for the specific language governing
+# rights and limitations under the License.
+#
+# The Original Code is the Bugzilla Bug Tracking System.
+#
+# The Initial Developer of the Original Code is
+# Andreas Franke <afranke@mathweb.org>.
+# Corporation. Portions created by Andreas Franke are
+# Copyright (C) 2001,2005 Andreas Franke. All
+# Rights Reserved.
+#
+# Contributor(s):
+
+thisdir=`dirname "$0"`
+buglist="$thisdir/buglist"
+csvfile="$thisdir/buglist.csv"
+
+$thisdir/buglist "$@" 2>&1 1>${csvfile}
+if test "$?" != "0"; then cat "$csvfile" 1>&2; exit 1; fi
+
+# 1. use 'awk' to select the first column (bug_id)
+# 2. use 'grep -v' to remove the first line with the column headers
+# 3. use backquotes & 'echo' to get all values in one line, space separated
+echo `cat ${csvfile} | awk -F, '{printf $1 "\n"}' | grep -v bug_id`